Bug 1753561 - Custom xattrs are not healed on newly added brick
Summary: Custom xattrs are not healed on newly added brick
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: 6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On: 1702298 1702299
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-19 09:57 UTC by Kotresh HR
Modified: 2019-09-27 11:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1702299
Environment:
Last Closed: 2019-09-27 11:26:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23447 0 None Merged dht: Custom xattrs are not healed in case of add-brick 2019-09-27 11:26:45 UTC

Description Kotresh HR 2019-09-19 09:57:36 UTC
+++ This bug was initially created as a clone of Bug #1702299 +++

+++ This bug was initially created as a clone of Bug #1702298 +++

Description of problem:
Custom xattrs are not healed on newly added brick

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup 1x4 volume and mount the volume on /mnt
2.Create some directory mkdir /mnt/tmp{1..10}
3.Setup user.foo on all directories
  setfattr -n user.foo -v "abc" /mnt/tmp{1..10}
4. Added two new bricks
5. Run lookup on mount point
   ls -laR /mnt/    
6. Check xattr should heal for all directories on the backend on 
   newly added bricks
   
Actual results:

xattr are not healed on newly added brick
Expected results:
xattr should heal on newly added brick

Additional info:

Comment 1 Nithya Balachandran 2019-09-24 05:20:44 UTC
Posted : https://review.gluster.org/#/c/glusterfs/+/23447/

Comment 2 Worker Ant 2019-09-27 11:26:47 UTC
REVIEW: https://review.gluster.org/23447 (dht: Custom xattrs are not healed in case of add-brick) merged (#3) on release-6 by hari gowtham


Note You need to log in before you can comment on or make changes to this bug.